Page MenuHomePhabricator

Goal: Consolidate Phabricator as project management tool
Closed, ResolvedPublic

Description

(In the context of T94165: Engineering Community quarterly review January - March 2015, WMF is changing its quarterly review process, and this is a goal task created basically after the fact in order to accommodate to the new process.)

The following text is extracted from the last quarterly review, and eventually fine tuned:

Expected impact: Fluent development process across teams and with volunteers

Success measures:

Event Timeline

Qgil created this task.Mar 27 2015, 9:35 PM
Qgil assigned this task to Aklapper.
Qgil raised the priority of this task from to High.
Qgil updated the task description. (Show Details)
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2015, 9:35 PM
Aklapper updated the task description. (Show Details)Apr 7 2015, 4:03 PM

@Aklapper, please evaluate this goal to decide whether we can consider it Resolved. Even if T85123 is pending indeed, I wonder how much this influences "Consolidate Phabricator as project management tool". I don't think there is any specific task of consolidation that ECT is working on? We are still poking Trello users, and we are trying to define a long term maintenance plan for the Sprint extension, but again these look like post-consolidation activities.

Aklapper updated the task description. (Show Details)Apr 14 2015, 4:33 PM

"WMF teams still using Trello have identified actionable blockers." I think they have? We are declining or marking as Lowest many of these requests, but this is a different topic. The bottomline is that we are not actively chasing the anymore, and we don't have plans to chase them in the current quarter, therefore, I think that part of this objective is completed as well.

... and as said above, I don't think that T85123 is blocking the consolidation of Phabricator as a PM tool. It make life a bit more complicated to the maintainers, but it has basically no direct impact on the project management work of the teams.

I keep thinking that this task can be Closed Resolved, just as reflected in T94165. If you disagree, please be precise. :)

Aklapper closed this task as Resolved.Apr 15 2015, 5:10 PM

"WMF teams still using Trello have identified actionable blockers." I think they have? We are declining or marking as Lowest many of these requests, but this is a different topic. The bottomline is that we are not actively chasing the anymore, and we don't have plans to chase them in the current quarter, therefore, I think that part of this objective is completed as well.

True and very good point - these requests might just not be easily identifiable/searchable as "I come from Trello" but we do have them.

I keep thinking that this task can be Closed Resolved

I agree. Thanks!

Aklapper updated the task description. (Show Details)Apr 15 2015, 5:11 PM
Qgil moved this task from Backlog to Doing on the ECT-April-2015 board.Apr 27 2015, 7:40 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptAug 13 2016, 8:39 PM